/*
 * SocketIterative.java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2001.09.23
 * Copyright 2001 by Michael Claudius
 * Revised 2006.02.10
 * All rights reserved
 */

package SocketConcurrent;

import java.io.*;
import java.net.*;

public class SocketIterative{
    private Socket connectionSocket;
    public SocketIterative(Socket connection){
        connectionSocket = connection; }
    
    public void run() {
        try {
            BufferedReader inFromClient = new BufferedReader(
                    new InputStreamReader(connectionSocket.getInputStream()));
            PrintStream outToClient = new PrintStream(
                    connectionSocket.getOutputStream());
            String clientSentence = inFromClient.readLine();
            while (clientSentence != null) {
                
                System.out.println("FROM CLIENT: " + clientSentence);
                String capitalizedSentence = clientSentence.toUpperCase();
                outToClient.println(capitalizedSentence);
                outToClient.flush();
                clientSentence = inFromClient.readLine();
            }//while
            connectionSocket.close(); //always good to close use of a port
            
        } //try
        
        catch (SocketException ex) {
            System.err.println("Connection closed" + ex);
        } catch (IOException ex) {
            System.err.println("Connection closed" + ex);
        }
    } // run
    
}
