/*
 * ServerSocket.java
 *
 * TMC_SocketConcurrent.java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2001.09.23
 * Copyright 2001 by Michael Claudius
 * Revised 2006.02.10
 * All rights reserved
 */

package SocketConcurrent;

import java.io.*;
import java.net.*;

public class SpecialServer {
    private Socket connectionSocket;
    private ServiceEcho service;
    private ServerSocket welcomeSocket;
    /** Creates a new instance of ServerSocket */
    public SpecialServer() {
        
        try {
            welcomeSocket = new ServerSocket(7777,5);
        } catch (SocketException ex) {
            ex.printStackTrace();
            System.err.println("Socket establishment problem " + ex);
        }catch (IOException ex) {
            System.err.println("Connection closed " + ex);
        }
    }
    
    public  void doIt() {
        while (true){          
            try {              
                connectionSocket = welcomeSocket.accept();
                service = new ServiceEcho(connectionSocket);
                Thread serviceThread = new Thread(service);
                serviceThread.start();                
            } catch (SocketException ex) {
                ex.printStackTrace();
                System.err.println("Socket problem closed" + ex);
            }catch (IOException ex) {
                System.err.println("Connection closed" + ex);
            }
            
        }
    }
    
    public SpecialServer(int port, int noTCP) {
     try {
            welcomeSocket = new ServerSocket(port,noTCP);
        } catch (SocketException ex) {
            ex.printStackTrace();
            System.err.println("Socket establishment problem " + ex);
        }catch (IOException ex) {
            System.err.println("Connection closed " + ex);
        }
    }   
    
    
    public SpecialServer(Runnable service) {
        // more complicated 
    }
    
    public static void main(String argv[]) {
        SpecialServer s = new SpecialServer();
        s.doIt();
    }
    
    
}

