/*
 * TCPClient.java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 99.09.03
 * Copyright 2004 by Michael Claudius
 * Revised 2004.02.09
 * All rights reserved
 */
package SocketConcurrent;

import java.io.*;

import java.net.*;

public class TCPClient {

    public static void main(String argv[]) throws Exception {

        int port = 6789;  //default
        if (argv.length > 0) {
            port = Integer.parseInt(argv[0]);
        }

        BufferedReader inFromUser = new BufferedReader(
                new InputStreamReader(System.in));
        // To server on local host
        Socket clientSocket = new Socket("127.0.0.1", port);
        // To server on other host with IP-address = 42.116.200.42
        //Socket clientSocket = new Socket("42.116.200.42", port);

        PrintStream outToServer = new PrintStream(
                clientSocket.getOutputStream());

        BufferedReader inFromServer = new BufferedReader(
                new InputStreamReader(clientSocket.getInputStream()));

        for (int i = 0; i < 10; i++) {
            String sentence = inFromUser.readLine();
            outToServer.println("Michael "+i+ " " +sentence);
            String modifiedSentence = inFromServer.readLine();
            System.out.println("FROM SERVER: " + modifiedSentence);
        }
        clientSocket.close();
    }
}
