/*
 * TestSocketConcurrent.java
 *
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2001.09.23
 * Copyright 2001 by Michael Claudius
 * Revised 2006.02.10
 * All rights reserved
 */
package SocketConcurrent;

import java.io.*;
import java.net.*;
import java.util.*;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;

class TestSocketConcurrent1 {

    public static void main(String argv[]) {
        try {
            ServerSocket welcomeSocket = new ServerSocket(6789, 5);
            Socket connectionSocket;
            ServiceEcho service;
           // ThreadFactory tf = Executors.defaultThreadFactory();
           // ExecutorService executors = Executors.newCachedThreadPool(tf);
            ExecutorService executors = Executors.newCachedThreadPool();
            while (true) {
                connectionSocket = welcomeSocket.accept();
                service = new ServiceEcho(connectionSocket);
                executors.execute(service);

                //execute run in ServiceEcho class within a new Thread
            }
        } catch (SocketException ex) {
            ex.printStackTrace();
            System.err.println("Socket problem closed" + ex);
        } catch (IOException ex) {
            System.err.println("Connection closed" + ex);
        }

    }
}
